<?php
/*
 * Plugin Name: Aqayepardakht payment gateway for Booknetic
 * Description: Take your payments with the Aqayepardakht - Credit Card method.
 * Version: 1.0.0
 * Author: محمود دبستانی
 * Author URI: https://www.rtl-theme.com/author/rcm27/
 * License: Commercial
 * Text Domain: booknetic-payment-aqayepardakht
 */

defined( 'ABSPATH' ) or exit;

require_once __DIR__ . '/vendor/autoload.php';

add_filter('bkntc_addons_load', function ($addons)
{
    $addons[ \BookneticAddon\AqayepardakhtPaymentGateway\AqayepardakhtAddon::getAddonSlug() ] = new \BookneticAddon\AqayepardakhtPaymentGateway\AqayepardakhtAddon();
    return $addons;
});
